#include <cstdio>
#include <complex>
#include <vector>
#include "opamp.cpp"
#include "data.cpp"
#include "howland.cpp"

using namespace std;

int main(int argc, char* argv[]) {
    /* load OpAmp parameters */
    OpAmp op;
    op.load_file(stdin);

    /* build the Howland source */
    Howland h(op, 100, 1);

    /* logspace */
    vector<double> freqs = logspace(1, 9, 10);

    /* perform a frequency sweep */
    h.freq_sweep(freqs);

    return 0;
}
